Subject: Re: [ANNOUNCE]: First release of nftables

From: Denys Fedoryschenko <[email-masked]>
Date: Wed, 18 Mar 2009 16:52:27 +0200

On Wednesday 18 March 2009 16:39:39 Patrick McHardy wrote:
>
> On top it has far smaller code and less memory usage as soon as
> you have more than one CPU, its lockless, no default counters,
> no overhead for unused chains, etc etc.
>
> When the time has come, I will of course post benchmarks.
>
Thanks a lot for your code Patrick.
I will try as soon as i can.

I dont think hash and rbtrees is suboptimal.
I have really a lot of situations where i need large set of ip's or ports to 
be added in similar rule, which is forced to be linear. And if i even build 
tree manually - it will be really headache to add new hosts.

nftables looks very promissing in this case